﻿using System;
using Xamarin.Forms;
using Xamarin.Forms.Platform.Android;
using VJGameForms;
using VJGameForms.Droid;
using Android.Content;

[assembly: ExportRenderer(typeof(VJGamePage), typeof(VJGameRenderer))]
namespace VJGameForms.Droid
{
	public class VJGameRenderer : PageRenderer
	{
		Android.Views.View _view;

		protected override void OnElementChanged(ElementChangedEventArgs<Page> e)
		{
			base.OnElementChanged(e);

			if (e.OldElement != null || Element == null)
			{
				return;
			}

			try
			{
				var activity = Context as MainActivity;
				_view = activity.LayoutInflater.Inflate(Resource.Layout.Main, null);
				BaseRenderer baseRenderer = new BaseRenderer(activity, _view);
				AddView(_view);
			}
			catch (Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(@"	ERROR: ", ex.Message);
			}
		}

		protected override void OnLayout(bool changed, int l, int t, int r, int b)
		{
			base.OnLayout(changed, l, t, r, b);

			_view.Layout(0, 0, r - l, b - t);
		}

		protected override void OnMeasure(int widthMeasureSpec, int heightMeasureSpec)
		{
			base.OnMeasure(widthMeasureSpec, heightMeasureSpec);

			_view.Measure(widthMeasureSpec, heightMeasureSpec);
		}
	}
}
